Bug 117330 - local variable used before set
local variable used before set
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-02 16:29 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-20 03:33:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-03-02 16:29:49 EST
Description of problem:

I just tried to compile Core2 Test1 package pam-0.77-30

The compiler said

pam_selinux.c(343): remark #592: variable "con" is used before its
value is set

The source code is

        context_free(con);

This is the first use of local variable con in this function. 
Suggest init con before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tomas Mraz 2004-09-09 07:47:20 EDT
Not applicable to latest pam-0.77-55.

Note You need to log in before you can comment on or make changes to this bug.